%define upstream_name    Lingua-KO-Romanize-Hangul
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Romanization of Korean language
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Hangul is phonemic characters of the Korean language. This module follows
the 'Revised Romanization of Korean' which was released on July 7, 2000 as
the official romanization system in South Korea.

$conv = Lingua::KO::Romanize::Hangul->new();
    This constructer methods returns a new object.

$roman = $conv->char( $hangul );
    This method returns romanized letters of a Hangul character. It returns
    undef when $hanji is not a valid Hangul character. The argument's
    encoding must be UTF-8.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.200.0-2.mga10
+ Revision: 2215493
- Mageia 10 Mass Rebuild

* Mon Oct 03 2022 tv <tv> 0.200.0-1.mga9
+ Revision: 1894242
- imported package perl-Lingua-KO-Romanize-Hangul


* Mon Oct 03 2022 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
